### Method

# Gtk RecentInfoget_groups

#### Declaration [src]

    char**
    gtk_recent_info_get_groups (
      GtkRecentInfo* info,
      gsize* length
    )

#### Description [src]

Returns all groups registered for the recently used item `info`.

The array of returned group names will be `NULL` terminated, so length might optionally be `NULL`.

#### Parameters

`length`

  Type: `gsize*`

  Return location for the number of groups returned.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: An array of `utf8`

a newly allocated `NULL` terminated array of strings. Use `g_strfreev()` to free it.

The array is `NULL`-terminated.
The length of the array is in the `length` argument.
The caller of the method takes ownership of the data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.